[FFmpeg-devel] [PATCH] remove the hls_wrap option

Steven Liu lingjiujianke at gmail.com
Sat Mar 26 18:06:11 CET 2016


2016-03-27 0:35 GMT+08:00 Michael Niedermayer <michael at niedermayer.cc>:

> On Sat, Mar 26, 2016 at 11:47:37PM +0800, Steven Liu wrote:
> > 2016-03-26 22:58 GMT+08:00 Michael Niedermayer <michael at niedermayer.cc>:
> >
> > > On Sat, Mar 26, 2016 at 10:10:28PM +0800, Steven Liu wrote:
> > > > Because the hls_flags use delete_segments flag can delete the old
> > > >
> > > > segment files and instead of the hls_wrap option, so remove it.
> > >
> > > options should be deprecated and replacement documented before
> > > removial
> > >
> > >
> > Hi Michael,
> >
> >       You mean is that i need add some introduction in doc/ for this
> patch,
> > is it?
> >       I saw the .gitignore file have been ignore the files:
> >       /doc/ffmpeg-all.1
> >       /doc/ffmpeg-formats.pod
> >       /doc/ffmpeg-all.pod
> >       /doc/ffserver-all.1
> >       /doc/ffserver-all.pod
> >
> >      There just one file of the document: /doc/muxers.texi
> >
> >       What can i do for this patch next step?
> >       Can you give me some suggestions?
>
> explain in the docs under the hls-wrap option what users should do
> instead of using the deprecated option


 The **hls_wrap** option is used for avoid to fill the disk with many
segment files, and limits the maximum number of segment files written to
disk to wrap. But the **"hls_flags delete_segments** option is can do this
function. So hls_wrap is needless´╝îThis is what the patch done.


More information about the ffmpeg-devel mailing list